SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Bugs Let Remote Users Execute Arbitrary Code, Conduct Session Fixation Attacks, and Spoof the Address Bar
SecurityTracker Alert ID:  1029442
SecurityTracker URL:  http://securitytracker.com/id/1029442
CVE Reference:   CVE-2013-6634, CVE-2013-6635, CVE-2013-6636, CVE-2013-6637, CVE-2013-6638, CVE-2013-6639, CVE-2013-6640   (Links to External Site)
Date:  Dec 7 2013
Impact:   Execution of arbitrary code via network, Modification of system information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 31.0.1650.63
Description:   Several vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can conduct session fixation attacks. A remote user can spoof address bar URLs.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

A remote user can conduct session fixation attacks in sync via 302 redirects [CVE-2013-6634]. Andrey Labunets reported this vulnerability.

A user-after-free may occur in editing [CVE-2013-6635]. cloudfuzzer reported this vulnerability.

A remote user can exploit flaws in modal dialogs to spoof address bar URLs [CVE-2013-6636]. Bas Venis reported this vulnerability.

A buffer overflow may occur [CVE-2013-6638]. Jakob Kummerow of the Chromium project reported this vulnerability.

An out-of-bounds memory write may occur [CVE-2013-6639]. Jakob Kummerow of the Chromium project reported this vulnerability.

An out-of-bounds memory read may occur [CVE-2013-6640]. Jakob Kummerow of the Chromium project reported this vulnerability.

Other flaws may occur [CVE-2013-6637].

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can conduct session fixation attacks.

A remote user can spoof address bar URLs.

Solution:   The vendor has issued a fix (31.0.1650.63).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2013/12/stable-channel-update.html

Vendor URL:  googlechromereleases.blogspot.com/2013/12/stable-channel-update.html (Links to External Site)
Cause:   Access control error, Authentication error
Underlying OS:   Linux (Any), UNIX (OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Feb 26 2014 (Apple Issues Fix for Apple Safari) Google Chrome Multiple Bugs Let Remote Users Execute Arbitrary Code, Conduct Session Fixation Attacks, and Spoof the Address Bar
Apple has issued a fix for Apple Safari.



 Source Message Contents

Date:  Sat, 07 Dec 2013 02:48:06 +0000
Subject:  http://googlechromereleases.blogspot.com/2013/12/stable-channel-update.html


http://googlechromereleases.blogspot.com/2013/12/stable-channel-update.html

[$1337][307159] Medium CVE-2013-6634: Session fixation in sync related to 302 redirects. Credit to Andrey Labunets.
[$2000][314469] High CVE-2013-6635: Use-after-free in editing. Credit to cloudfuzzer.
[$500][322959] Medium CVE-2013-6636: Address bar spoofing related to modal dialogs. Credit to Bas Venis.

    [325501] CVE-2013-6637: Various fixes from internal audits, fuzzing and other initiatives.
    [319722] Medium CVE-2013-6638: Buffer overflow in v8. This issue was fixed in v8 version 3.22.24.7. Credit to Jakob Kummerow of the Chromium project.
    [319835] High CVE-2013-6639: Out of bounds write in v8. This issue was fixed in v8 version 3.22.24.7. Credit to Jakob Kummerow of the Chromium project.
    [319860] Medium CVE-2013-6640: Out of bounds read in v8. This issue was fixed in v8 version 3.22.24.7. Credit to Jakob Kummerow of the Chromium project.
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC